Bug 220248 - Can't override DisplaySize without turning off DDC
Can't override DisplaySize without turning off DDC
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2006-12-19 16:38 EST by Michel Alexandre Salim
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-02-26 15:04:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
xorg.conf (1.11 KB, text/plain)
2007-01-16 17:53 EST, Michel Alexandre Salim
no flags Details
X log file (273.75 KB, text/plain)
2007-01-16 17:56 EST, Michel Alexandre Salim
no flags Details
xorg.conf with manually-added Monitor section (1.23 KB, text/plain)
2007-01-16 18:42 EST, Michel Alexandre Salim
no flags Details
X log after adding Monitor manually (66.92 KB, text/plain)
2007-01-16 18:44 EST, Michel Alexandre Salim
no flags Details
Xorg.0.log when starting X without configuration file (70.64 KB, text/plain)
2007-01-16 18:46 EST, Michel Alexandre Salim
no flags Details

  None (edit)
Description Michel Alexandre Salim 2006-12-19 16:38:57 EST
Description of problem:
My two monitors report incorrect display sizes when queried using DDC. In
previous versions of Fedora, and according to the X documentation, I can just
override it in the Monitor section:

DisplaySize width height

In FC6 this is overridden by the DDC-supplied values, so I either have to
disable DDC completely or resort to overriding the DPI with the runtime flag -dpi.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Add Monitor section to xorg.conf and set the default Screen to use it
2. Add DisplaySize overrides to the Monitor section
3. Run X, do xdpyinfo | grep dimension
Actual results:
Dimensions not overridden, old dimensions reported

Expected results:
Dimensions should be set to the ones given in the Monitor section

Additional info:
Comment 1 Matěj Cepl 2007-01-03 05:41:24 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Michel Alexandre Salim 2007-01-16 17:53:41 EST
Created attachment 145753 [details]
Comment 3 Michel Alexandre Salim 2007-01-16 17:56:53 EST
Created attachment 145754 [details]
X log file
Comment 4 Michel Alexandre Salim 2007-01-16 18:38:46 EST
That's the xorg.conf created at install time, and the corresponding log file. I
lost my initial modified xorg.conf, and surprisingly, this time the changes I
applied actually works. Will attach the modified xorg.conf and its Xorg.0.log
after this.

So the only problem left is that DisplaySize is not automatically detected.
Comment 5 Michel Alexandre Salim 2007-01-16 18:42:28 EST
Created attachment 145756 [details]
xorg.conf with manually-added Monitor section
Comment 6 Michel Alexandre Salim 2007-01-16 18:44:42 EST
Created attachment 145757 [details]
X log after adding Monitor manually
Comment 7 Michel Alexandre Salim 2007-01-16 18:46:29 EST
Created attachment 145759 [details]
Xorg.0.log when starting X without configuration file
Comment 8 Adam Jackson 2007-02-26 15:04:19 EST
Yeah, we weren't checking for DisplaySize having been set before sizing the
monitor.  Although it's weird that this was an issue for you, since afaict
you're not getting EDID info at all.

Checked in a patch to 1.2.0-10.fc7 that should address this.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.